Package org.apache.qpid.proton

# Class ProtonException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.qpid.proton.ProtonException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InterruptException`, `TimeoutException`, `TransportException`

public class ProtonException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProtonException()`
`ProtonException(String message)`
`ProtonException(String message, Throwable cause)`
`ProtonException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProtonException

public ProtonException()

### ProtonException

public ProtonException(String message)

### ProtonException

public ProtonException(String message, Throwable cause)

### ProtonException

public ProtonException(Throwable cause)